Bug 141020

Summary: Remove WTF::fastMallocGoodSize().
Product: WebKit Reporter: Andreas Kling <kling>
Component: Web Template FrameworkAssignee: Andreas Kling <kling>
Status: REOPENED ---    
Severity: Normal CC: benjamin, bfulgham, cmarcelo, commit-queue, ggaren, kling
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 141335    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Andreas Kling 2015-01-28 18:07:20 PST
bmalloc's fastMallocGoodSize(size) just returns 'size', so it's of no utility anymore.
Comment 1 Andreas Kling 2015-01-28 18:07:55 PST
Created attachment 245595 [details]
Patch
Comment 2 Benjamin Poulain 2015-01-28 18:33:31 PST
Fast malloc can't give us the bucket size efficiently?
Comment 3 Benjamin Poulain 2015-01-28 18:33:43 PST
s/Fast Malloc/bmalloc
Comment 4 Anders Carlsson 2015-01-28 20:38:42 PST
Comment on attachment 245595 [details]
Patch

k
Comment 5 WebKit Commit Bot 2015-02-05 17:50:13 PST
Comment on attachment 245595 [details]
Patch

Rejecting attachment 245595 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 245595, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
cpp
patching file Source/WTF/wtf/FastMalloc.cpp
Hunk #1 FAILED at 219.
Hunk #2 FAILED at 334.
Hunk #3 succeeded at 2753 (offset -33 lines).
2 out of 3 hunks FAILED -- saving rejects to file Source/WTF/wtf/FastMalloc.cpp.rej
patching file Source/WTF/wtf/FastMalloc.h
Hunk #1 succeeded at 35 with fuzz 2.
patching file Source/WTF/wtf/Vector.h

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Anders Carlsson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/5577581122289664
Comment 6 Andreas Kling 2015-02-05 20:45:49 PST
Created attachment 246147 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2015-02-06 02:04:02 PST
Comment on attachment 246147 [details]
Patch for landing

Clearing flags on attachment: 246147

Committed r179743: <http://trac.webkit.org/changeset/179743>
Comment 8 WebKit Commit Bot 2015-02-06 02:04:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Brent Fulgham 2015-02-06 11:45:02 PST
For reasons I don't yet understand, this has absolutely destroyed our ability to run DumpRenderTree on Windows. I'll see if this method was being used manually in the Windows code somewhere.
Comment 10 WebKit Commit Bot 2015-02-06 12:20:39 PST
Re-opened since this is blocked by bug 141335
Comment 11 Brent Fulgham 2015-02-06 12:38:25 PST
I think the problem is that our Open Source test bots are running with WebKitQuartzCoreAdditions.dll that was linked with the WTF::fastMallocGoodSize() symbol.

We need to roll out updates to WKQCA before we land this.
Comment 12 Andreas Kling 2015-02-06 13:14:39 PST
(In reply to comment #11)
> I think the problem is that our Open Source test bots are running with
> WebKitQuartzCoreAdditions.dll that was linked with the
> WTF::fastMallocGoodSize() symbol.
> 
> We need to roll out updates to WKQCA before we land this.

I think the easier way is to just leave the symbol in there as a functioning stub, and just remove the use from Vector.h right now.
Comment 13 Alexey Proskuryakov 2015-02-06 22:57:52 PST
This also broke WebKit nightlies, which may be more challenging to fix.

See bug 141344.
Comment 14 Alexey Proskuryakov 2015-02-07 20:43:01 PST
I guess it's no more challenging to fix if it just returns size though.
Comment 15 Csaba Osztrogon√°c 2015-09-14 11:16:42 PDT
Comment on attachment 245595 [details]
Patch

Cleared Anders Carlsson's review+ from obsolete attachment 245595 [details] so that this bug does not appear in http://webkit.org/pending-commit.